<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="theme-color" content="#ffffff">
    <link rel="manifest" href="http://localhost:5500/lab2/manifest.json">
    <title>Students</title>
    <link rel="apple-touch-icon" href="http://localhost:5500/lab2/img/ios/57.png"/>
    <link rel="stylesheet" href="http://localhost:5500/lab2/styles.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>
<body>
        <div id="modal_alter_student" class="modal">
            <div class="modal-content">
            <div class="modal-header">
                <h2 id="modal_student_header">Add student</h2>
                <button class="btn-modal-close" onclick="showAlterStudentModal(false)"><i class="fa fa-close"></i></button>
            </div>
            <form id="student_form" method="get">
            <div class="modal-body modal-form">
                    <p>Group</p><select required id="txt_student_group" name="group" aria-placeholder="Select Group">
                        <option value="" disabled selected>Select group</option>
                        <option value="KN-21">KN-21</option>
                        <option value="KN-22">KN-22</option>
                    </select>
                    <p>First name</p><input required id="txt_student_fname" type="text" pattern="^[\p{L}\s'-]*[^\p{P}\p{S}\p{C}\d][\p{L}\s'-]*$">
                    <p>Last name</p><input required id="txt_student_lname" type="text" pattern="^[\p{L}\s'-]*[^\p{P}\p{S}\p{C}\d][\p{L}\s'-]*$">
                    <p>Gender</p><select required id="txt_student_gender" name="gender" aria-placeholder="Select Gender">
                        <option value="" disabled selected>Select gender</option>
                        <option value="M">M</option>
                        <option value="F">F</option>
                        <option value="X">X</option>
                    </select>
                    <p>Birthday</p><input required id="txt_student_bdate" type="date" min="1893-01-01" max="2023-03-20">
                    <p id="invisible_student_id" data-current-student-id="-1"></p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn-modal" onclick="showAlterStudentModal(false)">Ok</button>
                <input type="submit" id="modal_student_submit_button" class="btn-modal" title="Create">
            </div>
        </form>
            </div>
        </div>      
        <div id="modal_delete_student" class="modal">
            <div class="modal-content">
            <div class="modal-header">
                <h2>Delete student</h2>
                <button class="btn-modal-close" onclick="showDeleteStudentModal(false)"><i class="fa fa-close"></i></button>
            </div>
            <div class="modal-body">
                <p id="delete_prompt"></p>
            </div>
            <div class="modal-footer">
                <button class="btn-modal" onclick="doDeleteStudent()">Ok</button>
                <button class="btn-modal" onclick="showDeleteStudentModal(false)">Cancel</button>
            </div>
            </div>
        </div>
    <div id="navbar">
        <div id="logo">
            <img src="http://localhost:5500/lab2/img/cms.png" alt="CMS" width="100">
        </div>
        <div id="nav_toolpane">
            <div id="notifications" class="dropdown">
                <span id="notification_counter" class="button_badge badge_invisible">4</span>
                <img ondblclick="showNotificationCount()" src="http://localhost:5500/lab2/img/bell.png" alt="Notifications" width="25">
                <div class="dropdown-content">
                    <div class="notification-item">
                        <a href="#">
                            <div class="notification-item-user">
                                <img src="http://localhost:5500/lab2/img/profile.png" width="25px">
                                <p class="notification-item-user-name">Admin</p>
                            </div>
                        </a>
                        <div class="notification-item-message">Message 1</div>
                    </div>
                    <div class="notification-item">
                        <a href="#">
                            <div class="notification-item-user">
                                <img src="http://localhost:5500/lab2/img/profile.png" width="25px">
                                <p class="notification-item-user-name">John K.</p>
                            </div>
                        </a>
                        <div class="notification-item-message">Message 2</div>
                    </div>
                    <div class="notification-item">
                        <a href="#">
                            <div class="notification-item-user">
                                <img src="http://localhost:5500/lab2/img/profile.png" width="25px">
                                <p class="notification-item-user-name">Ann S.</p>
                            </div>
                        </a>
                        <div class="notification-item-message">Message 3</div>
                    </div>
                </div>
            </div>
            <div id="profile" class="dropdown">
                <img src="http://localhost:5500/lab2/img/profile.png" alt="Profile" width="30">
                <p>James Bond</p>
                <div class="dropdown-content">
                    <a href="#" class="profile-item">Profile</a>
                    <a href="#" class="profile-item">Log out</a>
                </div>
            </div>
        </div>
    </div>
    <div id="main_wrapper">
    <div id="sidebar">
        <div class="sidebar_item"><a href="#">Dashboard</a></div>
        <div class="sidebar_item"><a href="#">Students</a></div>
        <div class="sidebar_item"><a href="#">Tasks</a></div>
    </div>
    <div id="main_content">
        <h1>Students</h1>
        <div class="students_table_buttons">
            <button id="btn_add_student">+</button>
        </div>
        <div id="students_block">
            <table id="students_table">
                <th width=8%><input type="checkbox" id="checkbox_all" onclick="checkAll()"></th>
                <th width=15%>Group</th>
                <th width=25%>Name</th>
                <th width=9%>Gender</th>
                <th width=20%>Birthday</th>
                <th width=6%>Status</th>
                <th>Options</th>
            </table>
        </div>
        <div id="page_pane">
            <button>&lt;</button>
            <button>1</button>
            <button>2</button>
            <button>3</button>
            <button>4</button>
            <button>&gt;</button>
        </div>
    </div>
</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
<script src="http://localhost:5500/lab2/scripts.js" type="module"></script>
<script>
    if ('serviceWorker' in navigator) {
      window.addEventListener('load', function() {
        navigator.serviceWorker.register('http://localhost:5500/lab2/sw.js');
      });
    }
  </script>
</body>
</html>
